package example.service.console;

import javax.ejb.Remote;
import javax.ejb.Stateless;
import javax.inject.Inject;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import example.api.MessageProvider;
import example.service.api.PrintService;

@Remote
@Stateless
public class ConsolePrintService implements PrintService {

    private static final Logger LOGGER = LoggerFactory.getLogger(ConsolePrintService.class);
    
    @Inject
    private MessageProvider messageProvider;
    
    @Override
    public void print() {
        ConsolePrintService.LOGGER.info(this.messageProvider.provideMessage());
    }

}
